spring:
  application:
    name: biji-houdaun
  profiles:
    active: dev
  servlet:
    multipart:
      max-file-size: 10MB       # ???????5MB
      max-request-size: 10MB   # ???????5MB
file:
  upload-dir: uploads


#??
server:
  port: 8084


  ## Snowflake ID?????
  # ????ID (0~31)
worker:
  id: 1
  # ????ID (0~31)
datacenter:
  id: 1

# MyBatis-Plus??
mybatis-plus:
  mapper-locations: classpath:mapper/*.xml
  configuration:
    map-underscore-to-camel-case: true

# JWT 配置
jwt:
  secret: V2VsbCwgSSBzdXBwb3NlIHRoYXQgaWYgeW91J3JlIHJlYWRpbmcgdGhpcywgeW91J3JlIHByZXR0eSBjdXJpb3VzLg== # 这是一个足够长的Base64编码密钥，满足HS512的要求
  expiration: 86400 # token有效期，单位秒，这里是24小时
  header: Authorization # JWT存储的请求头
  tokenHead: "Bearer " # JWT负载中拿到开头
